#include <iotms470r1a256.h>
#include <string.h>
#include "system.h"
#include "sci.h"

// This program return echo

// NOTICE!!! Terminal Baudrate = 9600
// Notice!!! Must close jumper PLLDIS

// variable for read char
unsigned char ch = 0x0;

void Delay_mS (unsigned long a) { while (--a!=0); }

int main()
{
  // Init frequency
  InitFreq();

  // Init SCI
  InitSCI1();
  InitSCI2();


  // loop forever
  while(1) {

    // Echo for RS232
    ch = SCI2_read_char_nonstop();
    if(ch) {
      SCI2_write_char(ch);
      SCI2_write_char('*');
    }

    //Echo for USB
    ch = SCI1_read_char_nonstop();
    if(ch) {
      SCI1_write_char(ch);
      SCI1_write_char('*');
    }

  }

}
